Working with the SAC-2K

When you install SONAR, you also install special software that allows you to use the SAC-2K to control SONAR. You can control most tracking procedures (recording, playback, automation, effects) with the SAC-2K. You can assign the SAC-2K's Software Navigation buttons to trigger up to ten of SONAR's menu commands. There are an additional ten commands already assigned to the buttons: pressing the Shift button together with a Software Navigation button triggers the command that's labeled in red below each one of the buttons.

You can also control SONAR from the SAC-2K while SONAR is minimized and you are configuring some other program, such as a soft synth or soft sampler program.

Connecting and Disconnecting

You can connect the SAC-2K to your MIDI interface by using the SAC-2K's MIDI IN and MIDI OUT ports, or by using its USB port.

See the following procedures for instructions.

To Connect the SAC-2K to SONAR with USB

  1. Connect a USB cable from the SAC-2K's TO HOST port to a USB port on your computer.
  2. Turn on the SAC-2K.
  3. Make sure you have installed the SAC-2K's USB MIDI driver that either came with the SAC-2K or you downloaded. Follow the installation instructions carefully, because you have to install separate drivers for both USB and MIDI.
  4. Launch SONAR.
  5. Use the Options-MIDI Devices command to open the MIDI Devices dialog.
  6. In the Inputs list, make sure that SAC Control In is highlighted, and in the Outputs list, make sure that SAC Control Out is highlighted; click OK.
  7. Use the Options-Control Surfaces command to open the Control Surfaces dialog.
  8. Click the Add button [image] , which opens the Control Surface Settings dialog.
  9. In the Control Surface field, use the drop-down menu to select the Radikal Technologies SAC-2K option.
  10. In the Input Port field, select SAC Control In.
  11. In the Output Port field, select SAC Control Out.
  12. Click OK--the Radikal Technologies SAC-2K name appears in the Control Surfaces dialog under Connected Surfaces.
  13. Click Close.

The SAC-2K's faders should snap to the positions of your SONAR track volume settings. Move some of the SAC-2K faders and watch the volume settings change. If the settings don't change, try disconnecting the SAC-2K and then reconnecting: see To Disconnect the SAC-2K from SONAR.

To Connect the SAC-2K to SONAR with MIDI IN/OUT Ports

  1. Before you turn on the SAC-2K, connect MIDI cables from its MIDI OUT port to your MIDI interface's MIDI IN port, and from the SAC-2K's MIDI OUT port to your MIDI interface's MIDI IN port.
  2. Turn on the SAC-2K.
  3. Launch SONAR.
  4. Use the Options-Control Surfaces command to open the Control Surfaces dialog.
  5. Click the Add button [image] , which opens the Control Surface Settings dialog.
  6. In the Control Surface field, use the drop-down menu to select the Radikal Technologies SAC-2K option.
  7. In the Input Port field, select the MIDI port that you want the SAC-2K to send data to SONAR through.
  8. In the Output Port field, select the MIDI port that you want the SAC-2K to receive data from SONAR through.
  9. Click OK--the Radikal Technologies SAC-2K name appears in the Control Surfaces dialog under Connected Surfaces.
  10. Click Close.

The SAC-2K's faders should snap to the positions of your SONAR track volume settings. Move some of the SAC-2K faders and watch the volume settings change. If the settings don't change, try disconnecting the SAC-2K and then reconnecting: see below.

To Disconnect the SAC-2K from SONAR

  1. Use the Options-Control Surfaces command to open the Control Surfaces dialog.
  2. In the Control Surface column, select Radikal Technologies SAC-2K so that it is highlighted.
  3. Click the Delete button [image] .
  4. Click Close.

SONAR disconnects the SAC-2K.

See also:

To Connect the SAC-2K to SONAR with USB

To Connect the SAC-2K to SONAR with MIDI IN/OUT Ports

The Control Surfaces Toolbar

SONAR's Control Surfaces toolbar contains a drop-down menu of all connected control surfaces, including the SAC-2K. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the buttons on the control surface itself. Use the drop-down menu on the toolbar to choose what control surface the toolbar displays information for. Click the Properties button at the end of the toolbar to display the property page (interface) of the currently displayed control surface.

SAC-2K Buttons

Please take a moment to view the various buttons on the SAC-2K:

Using the SAC-2K Property Page

You can set several options in the SAC-2K property page. Once you set your options, you can save them by typing a name for them in the Presets window, and clicking the Disk icon. You can create and save as many different presets as you want.

The options include:

  • Assigning each of the 10 Software Navigation buttons (1 through 0) to a different SONAR menu command, in addition to the 10 commands that you can trigger by pressing the Shift button and each of the buttons simultaneously (those 10 commands are labeled in red below each of the buttons)
  • Choosing by what increment you want the Now time to move when you move the Jog Wheel
  • Choosing what time format the SAC-2K time display uses to display the Now time

See the following procedures for step-by-step instructions:

To Open the SAC-2K Property Page

  1. After you connect the SAC-2K to SONAR, make sure the Control Surfaces toolbar is visible. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option.
  2. Make sure the name of the SAC-2K is displayed in the toolbar's dropdown menu of connected control surfaces.
  3. Click the Display Property Page button [image] that is at the right end of the toolbar.

To Assign SONAR Commands to Buttons

  1. Open the SAC-2K property page.
  2. In the F1 field, use the dropdown menu to choose a SONAR menu command to be triggered when you press Software Navigation button 1.
  3. Use fields F2 through F0 to choose commands for any additional commands you want to trigger.
  4. Close the property page.

Now you can trigger commands from buttons 1-0.

To Use the Built-in Commands

Hold down the Shift button, and then press the following buttons, one at a time:

  • App > --this button brings up the next view in SONAR
  • App < --this button brings up the previous view in SONAR
  • left--this button moves the cursor to the left by one field
  • right--this button moves the cursor to the right by one field
  • copy--this button copies selected data
  • paste--this button pastes copied data
  • undo--this button undoes the last editing command
  • save--this button saves your project

In addition, there are two more Software Navigation buttons:

  • Num--when this button is lit, you can use buttons 1-0 to enter numbers in SONAR dialogs or number fields
  • Enter--this button functions like the Enter key on your computer keyboard

To Change the Jog Wheel Resolution

  1. Open the SAC-2K property page.
  2. In the Jog Wheel Resolution field, choose Measures, Beats, or Ticks.

To Change the SAC-2K Time Display

  1. Open the SAC-2K property page.
  2. In the Time Display Format field, choose MBT (measures, beats, ticks) or HMSF (hours, minutes, seconds, frames).

SAC-2K Modes

The SAC-2K has two different modes, which you select by pressing either the Group button or the Bus button. The Bus button is the Mixer Mode button that is third from the bottom in the left column; the Group button is just to the right of it. Press the Group button to put the SAC-2K into Tracks mode, and press the Bus button to put the SAC-2K into Aux Bus mode. In Tracks mode, the faders and other controls control track parameters, and in Aux Bus mode, the faders and other controls control Aux Bus parameters.

See:

Playback, Recording, and Locating

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Phase

Automating the SAC-2K

Controlling Specific Tracks or Buses, or Specific Banks of Tracks or Buses

By default, the SAC-2K's 8 faders control the first 8 tracks (or aux buses, if you're in Aux Bus mode). Whenever you change fader assignments, the Control Surfaces toolbar display updates to show what tracks the SAC-2K currently controls.

  • If you have more than 8 tracks or aux buses, you can move the SAC-2K's fader assignments to the next higher-numbered or lower-numbered track or aux bus by pressing either the 9-16 button or the 1-8 button, respectively (these are Mixer Mode buttons, second from the bottom).
  • You can move fader assignments by 8 tracks (or aux buses) at a time by pressing either the 25-32 button to move up by 8, or the 17-24 button to move down by 8 (these are Mixer Mode buttons at the bottom of the columns).

Muting and Soloing Tracks

The 8 buttons to the right of the Mute/Solo toggle switch control mute and solo for the 8 currently-controlled tracks.

They work like this:

  • When the Mute/Solo toggle switch is lit up in red, the 8 buttons are solo on/off buttons.
  • When the Mute/Solo toggle switch is not lit, the 8 buttons are mute on/off buttons.

Playback, Recording, and Locating

You control these functions with the five transport buttons (Rewind, Fast Forward, Stop, Play, and Rec), the From and To buttons, the Store Marker and Recall Marker buttons, the Shift button, and the Jog Wheel.

To Play and Rewind a File

  1. With the SAC-2K already connected, press the Play button.
  2. To stop playing the file, press the Stop button.
  3. To rewind, do either of the following:
    • Press the Rewind button enough times to jump back to the measure you want. The Rewind button moves the Now time back one measure at a time. You can also hold it down to rewind faster.
    • Turn the Jog Wheel counter-clockwise. This moves the Now time back one measure at a time by default. In the SAC-2K property page, you can configure the Jog Wheel to move the Now time by increments of beats or ticks. You open the property page by choosing the SAC-2K in the Control Surfaces toolbar, and then clicking the Property Page button that is at the right end of the toolbar.
    • To jump to the beginning or end of a file, hold down the Select button that's above the Master fader, and press either the Rewind button (to jump to the beginning), or the Fast Forward button (to jump to the end).

To Fast Forward a File

  • Press the Fast Forward button to move the Now time forward by a measure; hold the button down to move continuously; hold down the Select button that's above the Master fader while you press the Fast Forward button to jump to the end of the file.
OR
  • Spin the Jog Wheel clockwise to move the Now time forward by a measure at a time. You can configure the Jog Wheel to move the Now time in increments of beats or ticks by opening the SAC-2K property page and choosing options.

To Jump to the Beginning or End of a File

  • To jump to the beginning or end of a file, hold down the Select button that's above the Master fader, and press either the Rewind button (to jump to the beginning), or the Fast Forward button (to jump to the end).

To Store a Marker

  1. Use the Jog Wheel, the Rewind button, or the Fast Forward button to move the Now time to the place where you want to place a marker.
  2. Press the Store Marker button. The Marker dialog appears.
  3. Press the Num key so that it is lit up, and press any of the numbered keys on the SAC-2K to enter a name for the marker.
  4. Press the Enter key.

The Marker dialog closes and SONAR stores your marker.

To Jump to a Marker

  • Press Shift-Rewind or Shift-Fast Forward to jump to the previous or next marker.

To Set From and Thru Times

  • Press Shift-From to set the From time.
  • Press Shift-To to set the Thru time.

To Jump to From and Thru Times

  • Press the From button to jump to the From time.
  • Press the To button to jump to the To time.

To Record a Track

  1. Make sure you're in Tracks Mode by pressing the Group button so that it's lit up.
  2. Arm a track by holding down the Rec button while you press the Select button of the track(s) you want to arm. If you have more than 8 tracks, you can move the SAC-2K's fader assignments to the next higher-numbered or lower-numbered track by pressing either the 9-16 button or the 1-8 button, respectively. You can move fader assignments by 8 tracks at a time by pressing either the 25-32 button or the 17-24 button.
  3. Use the Fast Forward and/or Rewind buttons to move the Now time to where you want to record.
  4. Hold down the Rec button while you press the Play button to start recording.
  5. Press the Stop button when you're through recording.

Now you can rewind and play back your recording, using the Rewind and Play buttons. You can disarm any armed tracks by holding the Rec button down while you press the Select button of the track you want to disarm.

See:

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Phase

Automating the SAC-2K

SAC-2K Modes

Controlling Volume, Pan, and Phase

You can control volume, pan, and phase, and also automate these parameters.

To Set Track Volume

  1. In Tracks Mode, move faders 1-8 to control the volume in tracks 1-8.
  2. If you have more than 8 tracks, you can move the SAC-2K's fader assignments to the next higher-numbered or lower-numbered track by pressing either the 9-16 button or the 1-8 button, respectively (these are Mixer Mode buttons, second from the bottom).
  3. You can move fader assignments by 8 tracks at a time by pressing either the 25-32 button to move up by 8, or the 17-24 button to move down by 8 (these are Mixer Mode buttons at the bottom of the columns).

To Control Volume in Main Buses

  1. Use the SAC-2K's Master fader to control SONAR's main output fader.
  2. If your project uses more than one virtual main bus, you can assign the Sac-2k's Master fader to a different virtual main by holding down the Select button that is just above the SAC-2K's Master fader, and pressing the 9-16 button to move up by one bus, or the 1-8 button to move down by one (these buttons are second from the bottom in the Mixer Mode section).

To Set Pan

  1. In Tracks Mode, make sure that the Pan button in the Mixer Mode section is lit up (press it if it's not).
  2. Turn Knobs 1-8 to control the pan level in tracks 1-8.
  3. To jump to a different set of tracks, use the bottom 4 buttons in the Mixer Mode section.

To Set Phase

  1. In Tracks mode, with the Pan button lit, press the Select button of the track you want to set the Phase for.
  2. Press Knob 12 to change the Phase.

See:

Playback, Recording, and Locating

Controlling Effects and Aux Buses

Automating the SAC-2K

SAC-2K Modes

Controlling Effects and Aux Buses

After you patch effects into SONAR's tracks or buses, you can use the SAC-2K to control Aux Send Enable/Disable, Send and Return levels, Send and Return pan, Pre/Post settings, and also set some effects' parameters, as long as the effects support DirectX 8 automation.

To Set Aux Send Enable, Aux Send Pan, and Pre/Post in a Track

  1. In Tracks Mode, press the Select button for the track that you want to adjust.
  2. Make sure that the Snd/Ins button is not lit, and select an Aux Send by pressing Snd/Ins 1 to select Aux Send 1, or Snd/Ins 2 to select Aux Send 2, Snd/Ins 3 to select Aux Send 3, or Snd/Ins 4 to select Aux Send 4. If you have more than 4 Aux Sends, turn Knob 9 to access the higher-numbered Aux Sends.
  3. After you select an Aux Send, you can configure it in the following ways:
    • To enable or disable the Aux Send, press Knob 10.
    • To set Aux Send Pan, turn Knob 11.
    • To set Aux Send Pre/Post, press Knob 12.

To Control Send Levels in Tracks

  1. In Tracks Mode, push one of the following buttons:
    • Snd/Ins 1, if you want Knobs 1-8 to control send level to Aux Bus 1
    • Snd/Ins 2, if you want Knobs 1-8 to control send level to Aux Bus 2
    • Snd/Ins 3, if you want Knobs 1-8 to control send level to Aux Bus 3
    • Snd/Ins 4, if you want Knobs 1-8 to control send level to Aux Bus 4
  2. To shift Snd/Ins buttons 1-4 to control aux send levels to Aux buses 2-5 instead of 1-4, turn Knob 9 to the right.
  3. To shift Snd/Ins buttons 1-4 to control aux send levels to Aux buses 3-6, 4-7, and higher, keep turning Knob 9 to the right.

To Configure Effects on One Track or Aux Bus at a Time

  1. Make sure that the SAC-2K's faders are assigned to the tracks or aux buses that contain the effects you want to configure.
  2. In the Channel-Strips section, press the Inserts/Sends button.
  3. Press the Select button of the track or aux bus you want to work with.
  4. Use Knob 9 to select the effect you want to configure.
  5. Use Knob 10 to select the parameters that Knobs 1-8 control.
  6. Use Knobs 1-8 to adjust parameters.

To Configure Effects on 8 Tracks at Once

  1. In Tracks mode, make sure that the SAC-2K's faders are assigned to the tracks that contain the effects you want to configure.
  2. Press the Snd/Ins button so that it is lit up.
  3. Press one of the following buttons:
    • Snd/Ins 1 to assign Knobs 1-8 to control the first effect on each track
    • Snd/Ins 2 to assign Knobs 1-8 to control the second effect on each track
    • Snd/Ins 3 to assign Knobs 1-8 to control the third effect on each track
    • Snd/Ins 4 to assign Knobs 1-8 to control the fourth effect on each track
The display updates to show the parameter that each knob is controlling.
  4. If you have more than 4 effects on a track, you can turn knob 9 to shift the Snd/Ins buttons to the next higher-numbered effect.
  5. To change the parameter that each knob controls, turn knob 10.
  6. If an effect you're configuring is an EQ, you can press one of the following Mixer Mode buttons to control the gain of the first 4 bands:
    • High--press this to assign Knobs 1-8 to control band 4 gain.
    • HiMid--press this to assign Knobs 1-8 to control band 3 gain.
    • LowMid--press this to assign Knobs 1-8 to control band 2 gain.
    • Low--press this to assign Knobs 1-8 to control band 1 gain.

To Control Send Level and Send Balance in Aux Buses

  1. Put the SAC-2K into Aux Bus mode by pressing the Bus button.
  2. Turn Knob 9 to counterclockwise until Fadr/Knob SLvl/SPan appears on the display.
  3. Use faders 1-8 to control Send Level in aux buses 1-8.
  4. Use Knobs 1-8 to control Send Pan in aux buses 1-8.
  5. To jump to a different set of auxes, use the bottom 4 buttons in the Mixer Mode section.

To Control Return Level and Return Balance in Aux Buses

  1. Put the SAC-2K into Aux Bus mode by pressing the Bus button.
  2. Turn Knob 9 to clockwise until Fadr/Knob RLvl/RPan appears on the display.
  3. Use faders 1-8 to control Return Level in aux buses 1-8.
  4. Use Knobs 1-8 to control Return Pan in aux buses 1-8.
  5. To jump to a different set of auxes, use the bottom 4 buttons in the Mixer Mode section.

See:

Playback, Recording, and Locating

Controlling Volume, Pan, and Phase

Automating the SAC-2K

SAC-2K Modes

Automating the SAC-2K

Automation is straightforward with the SAC-2K.

To Record Automation

  1. Arm the parameters in a track by holding down the Rec button while you press any of Knobs 1-8 to arm the parameters of tracks 1-8 respectively. For example, if you want to arm the parameters in track 1, hold down the Rec button while you press Knob 1. Arming a track's parameters also arms all effects parameters of any effects that are patched into that track. If you want to arm parameters on tracks 9 and higher, use the 4 buttons at the bottom of the Mixer Mode strip to shift the SAC-2K to other tracks.
  2. Click SONAR's Record Automation button to start recording.
  3. Move the SAC-2K controls that control the armed SONAR controls.
  4. Press the Stop button to stop recording.
  5. If you're through recording automation, disarm each track's parameters the same way you armed them.

SONAR displays new envelopes in the Track view to represent the recorded automation. If you play back the file, the SAC-2K's controls move in response to the recorded automation data. Disarm the armed controls when you're finished recording the automation.

See:

Playback, Recording, and Locating

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Phase

SAC-2K Modes

Cakewalk
http://www.cakewalk.com
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com